MODULE trc_oce
   !!======================================================================
   !!                      ***  MODULE  trc_oce  ***
   !! Ocean passive tracer  :  share SMS/Ocean variables
   !!======================================================================
   !! History :
   !!   9.0  !  04-03  (C. Ethe)  F90: Free form and module
   !!----------------------------------------------------------------------
#if defined key_top && defined key_pisces
   !!----------------------------------------------------------------------
   !!  OPA 9.0 , LOCEAN-IPSL (2005) 
   !! $Id$ 
   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
   !!----------------------------------------------------------------------
   USE sms_pisces , ONLY :  &
      etot3    =>   etot3   !!:  Biological fluxes for light
   !! Shared module variables
   LOGICAL, PUBLIC, PARAMETER ::   lk_qsr_sms = .TRUE. 
#else
   !!----------------------------------------------------------------------
   !! Default option                         No Biological fluxes for light          
   !!----------------------------------------------------------------------
   USE par_oce
   LOGICAL, PUBLIC, PARAMETER ::   lk_qsr_sms = .FALSE. 
   REAL(wp), PUBLIC , DIMENSION (jpi,jpj,jpk) :: &
      etot3
#endif

END MODULE trc_oce
